--- old/usr/src/uts/common/io/ixgbe/ixgbe_common.c	Wed Sep  7 11:32:36 2011
+++ new/usr/src/uts/common/io/ixgbe/ixgbe_common.c	Wed Sep  7 11:32:35 2011
@@ -2105,11 +2304,11 @@
 			DEBUGOUT("Flow Control=RX PAUSE frames only\n");
 		}
 	} else if (!(adv_reg & adv_sym) && (adv_reg & adv_asm) &&
-	    (lp_reg & lp_sym) && (lp_reg & lp_asm)) {
+		   (lp_reg & lp_sym) && (lp_reg & lp_asm)) {
 		hw->fc.current_mode = ixgbe_fc_tx_pause;
 		DEBUGOUT("Flow Control = TX PAUSE frames only.\n");
 	} else if ((adv_reg & adv_sym) && (adv_reg & adv_asm) &&
-	    !(lp_reg & lp_sym) && (lp_reg & lp_asm)) {
+		   !(lp_reg & lp_sym) && (lp_reg & lp_asm)) {
 		hw->fc.current_mode = ixgbe_fc_rx_pause;
 		DEBUGOUT("Flow Control = RX PAUSE frames only.\n");
 	} else {
@@ -2116,17 +2315,16 @@
 		hw->fc.current_mode = ixgbe_fc_none;
 		DEBUGOUT("Flow Control = NONE.\n");
 	}
-	return (IXGBE_SUCCESS);
+	return IXGBE_SUCCESS;
 }
 
-/*
- * ixgbe_setup_fc - Set up flow control
- * @hw: pointer to hardware structure
+/**
+ *  ixgbe_setup_fc - Set up flow control
+ *  @hw: pointer to hardware structure
  *
- * Called at init time to set up flow control.
- */
-s32
-ixgbe_setup_fc(struct ixgbe_hw *hw, s32 packetbuf_num)
+ *  Called at init time to set up flow control.
+ **/
+s32 ixgbe_setup_fc(struct ixgbe_hw *hw, s32 packetbuf_num)
 {
 	s32 ret_val = IXGBE_SUCCESS;
 	u32 reg = 0, reg_bp = 0;
@@ -2137,7 +2335,7 @@
 	/* Validate the packetbuf configuration */
 	if (packetbuf_num < 0 || packetbuf_num > 7) {
 		DEBUGOUT1("Invalid packet buffer number [%d], expected range is"
-		    " 0-7\n", packetbuf_num);
+		          " 0-7\n", packetbuf_num);
 		ret_val = IXGBE_ERR_INVALID_LINK_SETTINGS;
 		goto out;
 	}
@@ -2174,6 +2372,7 @@
 	 * HW will be able to do fc autoneg once the cable is plugged in.  If
 	 * we link at 10G, the 1G advertisement is harmless and vice versa.
 	 */
+
 	switch (hw->phy.media_type) {
 	case ixgbe_media_type_fiber:
 	case ixgbe_media_type_backplane:
@@ -2183,7 +2382,7 @@
 
 	case ixgbe_media_type_copper:
 		hw->phy.ops.read_reg(hw, IXGBE_MDIO_AUTO_NEG_ADVT,
-		    IXGBE_MDIO_AUTO_NEG_DEV_TYPE, &reg_cu);
+					IXGBE_MDIO_AUTO_NEG_DEV_TYPE, &reg_cu);
 		break;
 
 	default:
@@ -2206,7 +2405,7 @@
 		reg &= ~(IXGBE_PCS1GANA_SYM_PAUSE | IXGBE_PCS1GANA_ASM_PAUSE);
 		if (hw->phy.media_type == ixgbe_media_type_backplane)
 			reg_bp &= ~(IXGBE_AUTOC_SYM_PAUSE |
-			    IXGBE_AUTOC_ASM_PAUSE);
+				    IXGBE_AUTOC_ASM_PAUSE);
 		else if (hw->phy.media_type == ixgbe_media_type_copper)
 			reg_cu &= ~(IXGBE_TAF_SYM_PAUSE | IXGBE_TAF_ASM_PAUSE);
 		break;
@@ -2222,7 +2421,7 @@
 		reg |= (IXGBE_PCS1GANA_SYM_PAUSE | IXGBE_PCS1GANA_ASM_PAUSE);
 		if (hw->phy.media_type == ixgbe_media_type_backplane)
 			reg_bp |= (IXGBE_AUTOC_SYM_PAUSE |
-			    IXGBE_AUTOC_ASM_PAUSE);
+				   IXGBE_AUTOC_ASM_PAUSE);
 		else if (hw->phy.media_type == ixgbe_media_type_copper)
 			reg_cu |= (IXGBE_TAF_SYM_PAUSE | IXGBE_TAF_ASM_PAUSE);
 		break;
@@ -2246,7 +2445,7 @@
 		reg |= (IXGBE_PCS1GANA_SYM_PAUSE | IXGBE_PCS1GANA_ASM_PAUSE);
 		if (hw->phy.media_type == ixgbe_media_type_backplane)
 			reg_bp |= (IXGBE_AUTOC_SYM_PAUSE |
-			    IXGBE_AUTOC_ASM_PAUSE);
+				   IXGBE_AUTOC_ASM_PAUSE);
 		else if (hw->phy.media_type == ixgbe_media_type_copper)
 			reg_cu |= (IXGBE_TAF_SYM_PAUSE | IXGBE_TAF_ASM_PAUSE);
 		break;
@@ -2256,6 +2455,10 @@
 		goto out;
 	}
 
+	/*
+	 * Enable auto-negotiation between the MAC & PHY;
+	 * the MAC will advertise clause 37 flow control.
+	 */
 	IXGBE_WRITE_REG(hw, IXGBE_PCS1GANA, reg);
 	reg = IXGBE_READ_REG(hw, IXGBE_PCS1GLCTL);
 
@@ -2267,35 +2470,34 @@
 	DEBUGOUT1("Set up FC; PCS1GLCTL = 0x%08X\n", reg);
 
 	/*
-	 * AUTOC restart handles negotiation of 1G and 10G. There is
-	 * no need to set the PCS1GCTL register.
+	 * AUTOC restart handles negotiation of 1G and 10G on backplane
+	 * and copper. There is no need to set the PCS1GCTL register.
+	 *
 	 */
 	if (hw->phy.media_type == ixgbe_media_type_backplane) {
 		reg_bp |= IXGBE_AUTOC_AN_RESTART;
 		IXGBE_WRITE_REG(hw, IXGBE_AUTOC, reg_bp);
 	} else if ((hw->phy.media_type == ixgbe_media_type_copper) &&
-	    (ixgbe_device_supports_autoneg_fc(hw) == IXGBE_SUCCESS)) {
+		    (ixgbe_device_supports_autoneg_fc(hw) == IXGBE_SUCCESS)) {
 		hw->phy.ops.write_reg(hw, IXGBE_MDIO_AUTO_NEG_ADVT,
-		    IXGBE_MDIO_AUTO_NEG_DEV_TYPE, reg_cu);
+				      IXGBE_MDIO_AUTO_NEG_DEV_TYPE, reg_cu);
 	}
 
 	DEBUGOUT1("Set up FC; IXGBE_AUTOC = 0x%08X\n", reg);
-
 out:
-	return (ret_val);
+	return ret_val;
 }
 
-/*
- * ixgbe_disable_pcie_master - Disable PCI-express master access
- * @hw: pointer to hardware structure
+/**
+ *  ixgbe_disable_pcie_master - Disable PCI-express master access
+ *  @hw: pointer to hardware structure
  *
- * Disables PCI-Express master access and verifies there are no pending
- * requests. IXGBE_ERR_MASTER_REQUESTS_PENDING is returned if master disable
- * bit hasn't caused the master requests to be disabled, else IXGBE_SUCCESS
- * is returned signifying master requests disabled.
- */
-s32
-ixgbe_disable_pcie_master(struct ixgbe_hw *hw)
+ *  Disables PCI-Express master access and verifies there are no pending
+ *  requests. IXGBE_ERR_MASTER_REQUESTS_PENDING is returned if master disable
+ *  bit hasn't caused the master requests to be disabled, else IXGBE_SUCCESS
+ *  is returned signifying master requests disabled.
+ **/
+s32 ixgbe_disable_pcie_master(struct ixgbe_hw *hw)
 {
 	u32 i;
 	u32 reg_val;
@@ -2324,7 +2526,7 @@
 
 	for (i = 0; i < IXGBE_PCI_MASTER_DISABLE_TIMEOUT; i++) {
 		if (!(IXGBE_READ_REG(hw, IXGBE_STATUS) & IXGBE_STATUS_GIO))
-			goto out;
+			goto check_device_status;
 		usec_delay(100);
 	}
 
@@ -2332,15 +2534,13 @@
 	status = IXGBE_ERR_MASTER_REQUESTS_PENDING;
 
 	/*
-	 * The GIO Master Disable bit didn't clear.  There are multiple reasons
-	 * for this listed in the datasheet 5.2.5.3.2 Master Disable, and they
-	 * all require a double reset to recover from.  Before proceeding, we
-	 * first wait a little more to try to ensure that, at a minimum, the
-	 * PCIe block has no transactions pending.
+	 * Before proceeding, make sure that the PCIe block does not have
+	 * transactions pending.
 	 */
+check_device_status:
 	for (i = 0; i < IXGBE_PCI_MASTER_DISABLE_TIMEOUT; i++) {
 		if (!(IXGBE_READ_PCIE_WORD(hw, IXGBE_PCI_DEVICE_STATUS) &
-		    IXGBE_PCI_DEVICE_STATUS_TRANSACTION_PENDING))
+			IXGBE_PCI_DEVICE_STATUS_TRANSACTION_PENDING))
 			break;
 		usec_delay(100);
 	}
@@ -2347,6 +2547,8 @@
 
 	if (i == IXGBE_PCI_MASTER_DISABLE_TIMEOUT)
 		DEBUGOUT("PCIe transaction pending bit also did not clear.\n");
+	else
+		goto out;
 
 	/*
 	 * Two consecutive resets are required via CTRL.RST per datasheet
@@ -2356,22 +2558,22 @@
 	 * remaining completions from the PCIe bus to trickle in, and then reset
 	 * again to clear out any effects they may have had on our device.
 	 */
-	hw->mac.flags |= IXGBE_FLAGS_DOUBLE_RESET_REQUIRED;
+	 hw->mac.flags |= IXGBE_FLAGS_DOUBLE_RESET_REQUIRED;
 
 out:
-	return (status);
+	return status;
 }
 
-/*
- * ixgbe_acquire_swfw_sync - Acquire SWFW semaphore
- * @hw: pointer to hardware structure
- * @mask: Mask to specify which semaphore to acquire
+
+/**
+ *  ixgbe_acquire_swfw_sync - Acquire SWFW semaphore
+ *  @hw: pointer to hardware structure
+ *  @mask: Mask to specify which semaphore to acquire
  *
- * Acquires the SWFW semaphore thought the GSSR register for the specified
- * function (CSR, PHY0, PHY1, EEPROM, Flash)
- */
-s32
-ixgbe_acquire_swfw_sync(struct ixgbe_hw *hw, u16 mask)
+ *  Acquires the SWFW semaphore thought the GSSR register for the specified
+ *  function (CSR, PHY0, PHY1, EEPROM, Flash)
+ **/
+s32 ixgbe_acquire_swfw_sync(struct ixgbe_hw *hw, u16 mask)
 {
 	u32 gssr;
 	u32 swmask = mask;
@@ -2386,7 +2588,7 @@
 		 * SW_FW_SYNC/GSSR bits (not just EEPROM)
 		 */
 		if (ixgbe_get_eeprom_semaphore(hw))
-			return (IXGBE_ERR_SWFW_SYNC);
+			return IXGBE_ERR_SWFW_SYNC;
 
 		gssr = IXGBE_READ_REG(hw, IXGBE_GSSR);
 		if (!(gssr & (fwmask | swmask)))
@@ -2403,7 +2605,7 @@
 
 	if (!timeout) {
 		DEBUGOUT("Driver can't access resource, SW_FW_SYNC timeout.\n");
-		return (IXGBE_ERR_SWFW_SYNC);
+		return IXGBE_ERR_SWFW_SYNC;
 	}
 
 	gssr |= swmask;
@@ -2410,19 +2612,18 @@
 	IXGBE_WRITE_REG(hw, IXGBE_GSSR, gssr);
 
 	ixgbe_release_eeprom_semaphore(hw);
-	return (IXGBE_SUCCESS);
+	return IXGBE_SUCCESS;
 }
 
-/*
- * ixgbe_release_swfw_sync - Release SWFW semaphore
- * @hw: pointer to hardware structure
- * @mask: Mask to specify which semaphore to release
+/**
+ *  ixgbe_release_swfw_sync - Release SWFW semaphore
+ *  @hw: pointer to hardware structure
+ *  @mask: Mask to specify which semaphore to release
  *
- * Releases the SWFW semaphore thought the GSSR register for the specified
- * function (CSR, PHY0, PHY1, EEPROM, Flash)
- */
-void
-ixgbe_release_swfw_sync(struct ixgbe_hw *hw, u16 mask)
+ *  Releases the SWFW semaphore thought the GSSR register for the specified
+ *  function (CSR, PHY0, PHY1, EEPROM, Flash)
+ **/
+void ixgbe_release_swfw_sync(struct ixgbe_hw *hw, u16 mask)
 {
 	u32 gssr;
 	u32 swmask = mask;
@@ -2438,30 +2639,28 @@
 	ixgbe_release_eeprom_semaphore(hw);
 }
 
-/*
- * ixgbe_enable_rx_dma_generic - Enable the Rx DMA unit
- * @hw: pointer to hardware structure
- * @regval: register value to write to RXCTRL
+/**
+ *  ixgbe_enable_rx_dma_generic - Enable the Rx DMA unit
+ *  @hw: pointer to hardware structure
+ *  @regval: register value to write to RXCTRL
  *
- * Enables the Rx DMA unit
- */
-s32
-ixgbe_enable_rx_dma_generic(struct ixgbe_hw *hw, u32 regval)
+ *  Enables the Rx DMA unit
+ **/
+s32 ixgbe_enable_rx_dma_generic(struct ixgbe_hw *hw, u32 regval)
 {
 	DEBUGFUNC("ixgbe_enable_rx_dma_generic");
 
 	IXGBE_WRITE_REG(hw, IXGBE_RXCTRL, regval);
 
-	return (IXGBE_SUCCESS);
+	return IXGBE_SUCCESS;
 }
 
-/*
- * ixgbe_blink_led_start_generic - Blink LED based on index.
- * @hw: pointer to hardware structure
- * @index: led number to blink
- */
-s32
-ixgbe_blink_led_start_generic(struct ixgbe_hw *hw, u32 index)
+/**
+ *  ixgbe_blink_led_start_generic - Blink LED based on index.
+ *  @hw: pointer to hardware structure
+ *  @index: led number to blink
+ **/
+s32 ixgbe_blink_led_start_generic(struct ixgbe_hw *hw, u32 index)
 {
 	ixgbe_link_speed speed = 0;
 	bool link_up = 0;
@@ -2474,7 +2673,7 @@
 	 * Link must be up to auto-blink the LEDs;
 	 * Force it if link is down.
 	 */
-	hw->mac.ops.check_link(hw, &speed, &link_up, false);
+	hw->mac.ops.check_link(hw, &speed, &link_up, FALSE);
 
 	if (!link_up) {
 		autoc_reg |= IXGBE_AUTOC_AN_RESTART;
@@ -2488,16 +2687,15 @@
 	IXGBE_WRITE_REG(hw, IXGBE_LEDCTL, led_reg);
 	IXGBE_WRITE_FLUSH(hw);
 
-	return (IXGBE_SUCCESS);
+	return IXGBE_SUCCESS;
 }
 
-/*
- * ixgbe_blink_led_stop_generic - Stop blinking LED based on index.
- * @hw: pointer to hardware structure
- * @index: led number to stop blinking
- */
-s32
-ixgbe_blink_led_stop_generic(struct ixgbe_hw *hw, u32 index)
+/**
+ *  ixgbe_blink_led_stop_generic - Stop blinking LED based on index.
+ *  @hw: pointer to hardware structure
+ *  @index: led number to stop blinking
+ **/
+s32 ixgbe_blink_led_stop_generic(struct ixgbe_hw *hw, u32 index)
 {
 	u32 autoc_reg = IXGBE_READ_REG(hw, IXGBE_AUTOC);
 	u32 led_reg = IXGBE_READ_REG(hw, IXGBE_LEDCTL);
@@ -2504,6 +2702,7 @@
 
 	DEBUGFUNC("ixgbe_blink_led_stop_generic");
 
+
 	autoc_reg &= ~IXGBE_AUTOC_FLU;
 	autoc_reg |= IXGBE_AUTOC_AN_RESTART;
 	IXGBE_WRITE_REG(hw, IXGBE_AUTOC, autoc_reg);
@@ -2514,20 +2713,20 @@
 	IXGBE_WRITE_REG(hw, IXGBE_LEDCTL, led_reg);
 	IXGBE_WRITE_FLUSH(hw);
 
-	return (IXGBE_SUCCESS);
+	return IXGBE_SUCCESS;
 }
 
-/*
- * ixgbe_get_san_mac_addr_offset - Get SAN MAC address offset from the EEPROM
- * @hw: pointer to hardware structure
- * @san_mac_offset: SAN MAC address offset
+/**
+ *  ixgbe_get_san_mac_addr_offset - Get SAN MAC address offset from the EEPROM
+ *  @hw: pointer to hardware structure
+ *  @san_mac_offset: SAN MAC address offset
  *
- * This function will read the EEPROM location for the SAN MAC address
- * pointer, and returns the value at that location.  This is used in both
- * get and set mac_addr routines.
- */
-static s32
-ixgbe_get_san_mac_addr_offset(struct ixgbe_hw *hw, u16 *san_mac_offset)
+ *  This function will read the EEPROM location for the SAN MAC address
+ *  pointer, and returns the value at that location.  This is used in both
+ *  get and set mac_addr routines.
+ **/
+static s32 ixgbe_get_san_mac_addr_offset(struct ixgbe_hw *hw,
+                                        u16 *san_mac_offset)
 {
 	DEBUGFUNC("ixgbe_get_san_mac_addr_offset");
 
@@ -2537,21 +2736,20 @@
 	 */
 	hw->eeprom.ops.read(hw, IXGBE_SAN_MAC_ADDR_PTR, san_mac_offset);
 
-	return (IXGBE_SUCCESS);
+	return IXGBE_SUCCESS;
 }
 
-/*
- * ixgbe_get_san_mac_addr_generic - SAN MAC address retrieval from the EEPROM
- * @hw: pointer to hardware structure
- * @san_mac_addr: SAN MAC address
+/**
+ *  ixgbe_get_san_mac_addr_generic - SAN MAC address retrieval from the EEPROM
+ *  @hw: pointer to hardware structure
+ *  @san_mac_addr: SAN MAC address
  *
- * Reads the SAN MAC address from the EEPROM, if it's available.  This is
- * per-port, so set_lan_id() must be called before reading the addresses.
- * set_lan_id() is called by identify_sfp(), but this cannot be relied
- * upon for non-SFP connections, so we must call it here.
- */
-s32
-ixgbe_get_san_mac_addr_generic(struct ixgbe_hw *hw, u8 *san_mac_addr)
+ *  Reads the SAN MAC address from the EEPROM, if it's available.  This is
+ *  per-port, so set_lan_id() must be called before reading the addresses.
+ *  set_lan_id() is called by identify_sfp(), but this cannot be relied
+ *  upon for non-SFP connections, so we must call it here.
+ **/
+s32 ixgbe_get_san_mac_addr_generic(struct ixgbe_hw *hw, u8 *san_mac_addr)
 {
 	u16 san_mac_data, san_mac_offset;
 	u8 i;
@@ -2579,7 +2777,7 @@
 	hw->mac.ops.set_lan_id(hw);
 	/* apply the port offset to the address offset */
 	(hw->bus.func) ? (san_mac_offset += IXGBE_SAN_MAC_ADDR_PORT1_OFFSET) :
-	    (san_mac_offset += IXGBE_SAN_MAC_ADDR_PORT0_OFFSET);
+	                 (san_mac_offset += IXGBE_SAN_MAC_ADDR_PORT0_OFFSET);
 	for (i = 0; i < 3; i++) {
 		hw->eeprom.ops.read(hw, san_mac_offset, &san_mac_data);
 		san_mac_addr[i * 2] = (u8)(san_mac_data);
@@ -2588,18 +2786,17 @@
 	}
 
 san_mac_addr_out:
-	return (IXGBE_SUCCESS);
+	return IXGBE_SUCCESS;
 }
 
-/*
- * ixgbe_set_san_mac_addr_generic - Write the SAN MAC address to the EEPROM
- * @hw: pointer to hardware structure
- * @san_mac_addr: SAN MAC address
+/**
+ *  ixgbe_set_san_mac_addr_generic - Write the SAN MAC address to the EEPROM
+ *  @hw: pointer to hardware structure
+ *  @san_mac_addr: SAN MAC address
  *
- * Write a SAN MAC address to the EEPROM.
- */
-s32
-ixgbe_set_san_mac_addr_generic(struct ixgbe_hw *hw, u8 *san_mac_addr)
+ *  Write a SAN MAC address to the EEPROM.
+ **/
+s32 ixgbe_set_san_mac_addr_generic(struct ixgbe_hw *hw, u8 *san_mac_addr)
 {
 	s32 status = IXGBE_SUCCESS;
 	u16 san_mac_data, san_mac_offset;
@@ -2619,7 +2816,7 @@
 	hw->mac.ops.set_lan_id(hw);
 	/* Apply the port offset to the address offset */
 	(hw->bus.func) ? (san_mac_offset += IXGBE_SAN_MAC_ADDR_PORT1_OFFSET) :
-	    (san_mac_offset += IXGBE_SAN_MAC_ADDR_PORT0_OFFSET);
+	                 (san_mac_offset += IXGBE_SAN_MAC_ADDR_PORT0_OFFSET);
 
 	for (i = 0; i < 3; i++) {
 		san_mac_data = (u16)((u16)(san_mac_addr[i * 2 + 1]) << 8);
@@ -2629,18 +2826,17 @@
 	}
 
 san_mac_addr_out:
-	return (status);
+	return status;
 }
 
-/*
- * ixgbe_get_pcie_msix_count_generic - Gets MSI-X vector count
- * @hw: pointer to hardware structure
+/**
+ *  ixgbe_get_pcie_msix_count_generic - Gets MSI-X vector count
+ *  @hw: pointer to hardware structure
  *
- * Read PCIe configuration space, and get the MSI-X vector count from
- * the capabilities table.
- */
-u32
-ixgbe_get_pcie_msix_count_generic(struct ixgbe_hw *hw)
+ *  Read PCIe configuration space, and get the MSI-X vector count from
+ *  the capabilities table.
+ **/
+u32 ixgbe_get_pcie_msix_count_generic(struct ixgbe_hw *hw)
 {
 	u32 msix_count = 64;
 
@@ -2647,30 +2843,27 @@
 	DEBUGFUNC("ixgbe_get_pcie_msix_count_generic");
 	if (hw->mac.msix_vectors_from_pcie) {
 		msix_count = IXGBE_READ_PCIE_WORD(hw,
-		    IXGBE_PCIE_MSIX_82599_CAPS);
+		                                  IXGBE_PCIE_MSIX_82599_CAPS);
 		msix_count &= IXGBE_PCIE_MSIX_TBL_SZ_MASK;
 
-		/*
-		 * MSI-X count is zero-based in HW, so increment to give
-		 * proper value.
-		 */
+		/* MSI-X count is zero-based in HW, so increment to give
+		 * proper value */
 		msix_count++;
 	}
 
-	return (msix_count);
+	return msix_count;
 }
 
-/*
- * ixgbe_insert_mac_addr_generic - Find a RAR for this mac address
- * @hw: pointer to hardware structure
- * @addr: Address to put into receive address register
- * @vmdq: VMDq pool to assign
+/**
+ *  ixgbe_insert_mac_addr_generic - Find a RAR for this mac address
+ *  @hw: pointer to hardware structure
+ *  @addr: Address to put into receive address register
+ *  @vmdq: VMDq pool to assign
  *
- * Puts an ethernet address into a receive address register, or
- * finds the rar that it is aleady in; adds to the pool list
- */
-s32
-ixgbe_insert_mac_addr_generic(struct ixgbe_hw *hw, u8 *addr, u32 vmdq)
+ *  Puts an ethernet address into a receive address register, or
+ *  finds the rar that it is aleady in; adds to the pool list
+ **/
+s32 ixgbe_insert_mac_addr_generic(struct ixgbe_hw *hw, u8 *addr, u32 vmdq)
 {
 	static const u32 NO_EMPTY_RAR_FOUND = 0xFFFFFFFF;
 	u32 first_empty_rar = NO_EMPTY_RAR_FOUND;
@@ -2682,8 +2875,8 @@
 
 	/* swap bytes for HW little endian */
 	addr_low  = addr[0] | (addr[1] << 8)
-	    | (addr[2] << 16)
-	    | (addr[3] << 24);
+			    | (addr[2] << 16)
+			    | (addr[3] << 24);
 	addr_high = addr[4] | (addr[5] << 8);
 
 	/*
@@ -2695,8 +2888,8 @@
 	for (rar = 0; rar < hw->mac.rar_highwater; rar++) {
 		rar_high = IXGBE_READ_REG(hw, IXGBE_RAH(rar));
 
-		if (((IXGBE_RAH_AV & rar_high) == 0) &&
-		    first_empty_rar == NO_EMPTY_RAR_FOUND) {
+		if (((IXGBE_RAH_AV & rar_high) == 0)
+		    && first_empty_rar == NO_EMPTY_RAR_FOUND) {
 			first_empty_rar = rar;
 		} else if ((rar_high & 0xFFFF) == addr_high) {
 			rar_low = IXGBE_READ_REG(hw, IXGBE_RAL(rar));
@@ -2717,7 +2910,7 @@
 		(void) ixgbe_set_rar(hw, rar, addr, vmdq, IXGBE_RAH_AV);
 		hw->mac.rar_highwater++;
 	} else if (rar >= hw->mac.num_rar_entries) {
-		return (IXGBE_ERR_INVALID_MAC_ADDR);
+		return IXGBE_ERR_INVALID_MAC_ADDR;
 	}
 
 	/*
@@ -2727,17 +2920,16 @@
 	if (rar == 0)
 		(void) ixgbe_clear_vmdq(hw, rar, 0);
 
-	return (rar);
+	return rar;
 }
 
-/*
- * ixgbe_clear_vmdq_generic - Disassociate a VMDq pool index from a rx address
- * @hw: pointer to hardware struct
- * @rar: receive address register index to disassociate
- * @vmdq: VMDq pool index to remove from the rar
- */
-s32
-ixgbe_clear_vmdq_generic(struct ixgbe_hw *hw, u32 rar, u32 vmdq)
+/**
+ *  ixgbe_clear_vmdq_generic - Disassociate a VMDq pool index from a rx address
+ *  @hw: pointer to hardware struct
+ *  @rar: receive address register index to disassociate
+ *  @vmdq: VMDq pool index to remove from the rar
+ **/
+s32 ixgbe_clear_vmdq_generic(struct ixgbe_hw *hw, u32 rar, u32 vmdq)
 {
 	u32 mpsar_lo, mpsar_hi;
 	u32 rar_entries = hw->mac.num_rar_entries;
@@ -2744,49 +2936,49 @@
 
 	DEBUGFUNC("ixgbe_clear_vmdq_generic");
 
-	if (rar < rar_entries) {
-		mpsar_lo = IXGBE_READ_REG(hw, IXGBE_MPSAR_LO(rar));
-		mpsar_hi = IXGBE_READ_REG(hw, IXGBE_MPSAR_HI(rar));
+	/* Make sure we are using a valid rar index range */
+	if (rar >= rar_entries) {
+		DEBUGOUT1("RAR index %d is out of range.\n", rar);
+		return IXGBE_ERR_INVALID_ARGUMENT;
+	}
 
-		if (!mpsar_lo && !mpsar_hi)
-			goto done;
+	mpsar_lo = IXGBE_READ_REG(hw, IXGBE_MPSAR_LO(rar));
+	mpsar_hi = IXGBE_READ_REG(hw, IXGBE_MPSAR_HI(rar));
 
-		if (vmdq == IXGBE_CLEAR_VMDQ_ALL) {
-			if (mpsar_lo) {
-				IXGBE_WRITE_REG(hw, IXGBE_MPSAR_LO(rar), 0);
-				mpsar_lo = 0;
-			}
-			if (mpsar_hi) {
-				IXGBE_WRITE_REG(hw, IXGBE_MPSAR_HI(rar), 0);
-				mpsar_hi = 0;
-			}
-		} else if (vmdq < 32) {
-			mpsar_lo &= ~(1 << vmdq);
-			IXGBE_WRITE_REG(hw, IXGBE_MPSAR_LO(rar), mpsar_lo);
-		} else {
-			mpsar_hi &= ~(1 << (vmdq - 32));
-			IXGBE_WRITE_REG(hw, IXGBE_MPSAR_HI(rar), mpsar_hi);
-		}
+	if (!mpsar_lo && !mpsar_hi)
+		goto done;
 
-		/* was that the last pool using this rar? */
-		if (mpsar_lo == 0 && mpsar_hi == 0 && rar != 0)
-			hw->mac.ops.clear_rar(hw, rar);
+	if (vmdq == IXGBE_CLEAR_VMDQ_ALL) {
+		if (mpsar_lo) {
+			IXGBE_WRITE_REG(hw, IXGBE_MPSAR_LO(rar), 0);
+			mpsar_lo = 0;
+		}
+		if (mpsar_hi) {
+			IXGBE_WRITE_REG(hw, IXGBE_MPSAR_HI(rar), 0);
+			mpsar_hi = 0;
+		}
+	} else if (vmdq < 32) {
+		mpsar_lo &= ~(1 << vmdq);
+		IXGBE_WRITE_REG(hw, IXGBE_MPSAR_LO(rar), mpsar_lo);
 	} else {
-		DEBUGOUT1("RAR index %d is out of range.\n", rar);
+		mpsar_hi &= ~(1 << (vmdq - 32));
+		IXGBE_WRITE_REG(hw, IXGBE_MPSAR_HI(rar), mpsar_hi);
 	}
 
+	/* was that the last pool using this rar? */
+	if (mpsar_lo == 0 && mpsar_hi == 0 && rar != 0)
+		hw->mac.ops.clear_rar(hw, rar);
 done:
-	return (IXGBE_SUCCESS);
+	return IXGBE_SUCCESS;
 }
 
-/*
- * ixgbe_set_vmdq_generic - Associate a VMDq pool index with a rx address
- * @hw: pointer to hardware struct
- * @rar: receive address register index to associate with a VMDq index
- * @vmdq: VMDq pool index
- */
-s32
-ixgbe_set_vmdq_generic(struct ixgbe_hw *hw, u32 rar, u32 vmdq)
+/**
+ *  ixgbe_set_vmdq_generic - Associate a VMDq pool index with a rx address
+ *  @hw: pointer to hardware struct
+ *  @rar: receive address register index to associate with a VMDq index
+ *  @vmdq: VMDq pool index
+ **/
+s32 ixgbe_set_vmdq_generic(struct ixgbe_hw *hw, u32 rar, u32 vmdq)
 {
 	u32 mpsar;
 	u32 rar_entries = hw->mac.num_rar_entries;
@@ -2793,28 +2985,29 @@
 
 	DEBUGFUNC("ixgbe_set_vmdq_generic");
 
-	if (rar < rar_entries) {
-		if (vmdq < 32) {
-			mpsar = IXGBE_READ_REG(hw, IXGBE_MPSAR_LO(rar));
-			mpsar |= 1 << vmdq;
-			IXGBE_WRITE_REG(hw, IXGBE_MPSAR_LO(rar), mpsar);
-		} else {
-			mpsar = IXGBE_READ_REG(hw, IXGBE_MPSAR_HI(rar));
-			mpsar |= 1 << (vmdq - 32);
-			IXGBE_WRITE_REG(hw, IXGBE_MPSAR_HI(rar), mpsar);
-		}
-	} else {
+	/* Make sure we are using a valid rar index range */
+	if (rar >= rar_entries) {
 		DEBUGOUT1("RAR index %d is out of range.\n", rar);
+		return IXGBE_ERR_INVALID_ARGUMENT;
 	}
-	return (IXGBE_SUCCESS);
+
+	if (vmdq < 32) {
+		mpsar = IXGBE_READ_REG(hw, IXGBE_MPSAR_LO(rar));
+		mpsar |= 1 << vmdq;
+		IXGBE_WRITE_REG(hw, IXGBE_MPSAR_LO(rar), mpsar);
+	} else {
+		mpsar = IXGBE_READ_REG(hw, IXGBE_MPSAR_HI(rar));
+		mpsar |= 1 << (vmdq - 32);
+		IXGBE_WRITE_REG(hw, IXGBE_MPSAR_HI(rar), mpsar);
+	}
+	return IXGBE_SUCCESS;
 }
 
-/*
- * ixgbe_init_uta_tables_generic - Initialize the Unicast Table Array
- * @hw: pointer to hardware structure
- */
-s32
-ixgbe_init_uta_tables_generic(struct ixgbe_hw *hw)
+/**
+ *  ixgbe_init_uta_tables_generic - Initialize the Unicast Table Array
+ *  @hw: pointer to hardware structure
+ **/
+s32 ixgbe_init_uta_tables_generic(struct ixgbe_hw *hw)
 {
 	int i;
 
@@ -2824,19 +3017,18 @@
 	for (i = 0; i < 128; i++)
 		IXGBE_WRITE_REG(hw, IXGBE_UTA(i), 0);
 
-	return (IXGBE_SUCCESS);
+	return IXGBE_SUCCESS;
 }
 
-/*
- * ixgbe_find_vlvf_slot - find the vlanid or the first empty slot
- * @hw: pointer to hardware structure
- * @vlan: VLAN id to write to VLAN filter
+/**
+ *  ixgbe_find_vlvf_slot - find the vlanid or the first empty slot
+ *  @hw: pointer to hardware structure
+ *  @vlan: VLAN id to write to VLAN filter
  *
- * return the VLVF index where this VLAN id should be placed
+ *  return the VLVF index where this VLAN id should be placed
  *
- */
-s32
-ixgbe_find_vlvf_slot(struct ixgbe_hw *hw, u32 vlan)
+ **/
+s32 ixgbe_find_vlvf_slot(struct ixgbe_hw *hw, u32 vlan)
 {
 	u32 bits = 0;
 	u32 first_empty_slot = 0;
@@ -2844,12 +3036,12 @@
 
 	/* short cut the special case */
 	if (vlan == 0)
-		return (0);
+		return 0;
 
 	/*
-	 * Search for the vlan id in the VLVF entries. Save off the first empty
-	 * slot found along the way
-	 */
+	  * Search for the vlan id in the VLVF entries. Save off the first empty
+	  * slot found along the way
+	  */
 	for (regindex = 1; regindex < IXGBE_VLVF_ENTRIES; regindex++) {
 		bits = IXGBE_READ_REG(hw, IXGBE_VLVF(regindex));
 		if (!bits && !(first_empty_slot))
@@ -2859,10 +3051,10 @@
 	}
 
 	/*
-	 * If regindex is less than IXGBE_VLVF_ENTRIES, then we found the vlan
-	 * in the VLVF. Else use the first empty VLVF register for this
-	 * vlan id.
-	 */
+	  * If regindex is less than IXGBE_VLVF_ENTRIES, then we found the vlan
+	  * in the VLVF. Else use the first empty VLVF register for this
+	  * vlan id.
+	  */
 	if (regindex >= IXGBE_VLVF_ENTRIES) {
 		if (first_empty_slot)
 			regindex = first_empty_slot;
@@ -2872,20 +3064,20 @@
 		}
 	}
 
-	return (regindex);
+	return regindex;
 }
 
-/*
- * ixgbe_set_vfta_generic - Set VLAN filter table
- * @hw: pointer to hardware structure
- * @vlan: VLAN id to write to VLAN filter
- * @vind: VMDq output index that maps queue to VLAN id in VFVFB
- * @vlan_on: boolean flag to turn on/off VLAN in VFVF
+/**
+ *  ixgbe_set_vfta_generic - Set VLAN filter table
+ *  @hw: pointer to hardware structure
+ *  @vlan: VLAN id to write to VLAN filter
+ *  @vind: VMDq output index that maps queue to VLAN id in VFVFB
+ *  @vlan_on: boolean flag to turn on/off VLAN in VFVF
  *
- * Turn on/off specified VLAN in the VLAN filter table.
- */
-s32
-ixgbe_set_vfta_generic(struct ixgbe_hw *hw, u32 vlan, u32 vind, bool vlan_on)
+ *  Turn on/off specified VLAN in the VLAN filter table.
+ **/
+s32 ixgbe_set_vfta_generic(struct ixgbe_hw *hw, u32 vlan, u32 vind,
+                           bool vlan_on)
 {
 	s32 regindex;
 	u32 bitindex;
@@ -2893,12 +3085,12 @@
 	u32 bits;
 	u32 vt;
 	u32 targetbit;
-	bool vfta_changed = false;
+	bool vfta_changed = FALSE;
 
 	DEBUGFUNC("ixgbe_set_vfta_generic");
 
 	if (vlan > 4095)
-		return (IXGBE_ERR_PARAM);
+		return IXGBE_ERR_PARAM;
 
 	/*
 	 * this is a 2 part operation - first the VFTA, then the
@@ -2906,8 +3098,7 @@
 	 * We don't write the VFTA until we know the VLVF part succeeded.
 	 */
 
-	/*
-	 * Part 1
+	/* Part 1
 	 * The VFTA is a bitstring made up of 128 32-bit registers
 	 * that enable the particular VLAN id, much like the MTA:
 	 *    bits[11-5]: which register
@@ -2921,24 +3112,22 @@
 	if (vlan_on) {
 		if (!(vfta & targetbit)) {
 			vfta |= targetbit;
-			vfta_changed = true;
+			vfta_changed = TRUE;
 		}
 	} else {
 		if ((vfta & targetbit)) {
 			vfta &= ~targetbit;
-			vfta_changed = true;
+			vfta_changed = TRUE;
 		}
 	}
 
-
-	/*
-	 * Part 2
+	/* Part 2
 	 * If VT Mode is set
-	 *  Either vlan_on
-	 *   make sure the vlan is in VLVF
-	 *   set the vind bit in the matching VLVFB
-	 *  Or !vlan_on
-	 *   clear the pool bit and possibly the vind
+	 *   Either vlan_on
+	 *     make sure the vlan is in VLVF
+	 *     set the vind bit in the matching VLVFB
+	 *   Or !vlan_on
+	 *     clear the pool bit and possibly the vind
 	 */
 	vt = IXGBE_READ_REG(hw, IXGBE_VT_CTL);
 	if (vt & IXGBE_VT_CTL_VT_ENABLE) {
@@ -2946,45 +3135,45 @@
 
 		vlvf_index = ixgbe_find_vlvf_slot(hw, vlan);
 		if (vlvf_index < 0)
-			return (vlvf_index);
+			return vlvf_index;
 
 		if (vlan_on) {
 			/* set the pool bit */
 			if (vind < 32) {
 				bits = IXGBE_READ_REG(hw,
-				    IXGBE_VLVFB(vlvf_index * 2));
+						IXGBE_VLVFB(vlvf_index*2));
 				bits |= (1 << vind);
 				IXGBE_WRITE_REG(hw,
-				    IXGBE_VLVFB(vlvf_index * 2),
-				    bits);
+						IXGBE_VLVFB(vlvf_index*2),
+						bits);
 			} else {
 				bits = IXGBE_READ_REG(hw,
-				    IXGBE_VLVFB((vlvf_index * 2) + 1));
-				bits |= (1 << (vind - 32));
+						IXGBE_VLVFB((vlvf_index*2)+1));
+				bits |= (1 << (vind-32));
 				IXGBE_WRITE_REG(hw,
-				    IXGBE_VLVFB((vlvf_index * 2) + 1),
-				    bits);
+						IXGBE_VLVFB((vlvf_index*2)+1),
+						bits);
 			}
 		} else {
 			/* clear the pool bit */
 			if (vind < 32) {
 				bits = IXGBE_READ_REG(hw,
-				    IXGBE_VLVFB(vlvf_index * 2));
+						IXGBE_VLVFB(vlvf_index*2));
 				bits &= ~(1 << vind);
 				IXGBE_WRITE_REG(hw,
-				    IXGBE_VLVFB(vlvf_index * 2),
-				    bits);
+						IXGBE_VLVFB(vlvf_index*2),
+						bits);
 				bits |= IXGBE_READ_REG(hw,
-				    IXGBE_VLVFB((vlvf_index * 2) + 1));
+						IXGBE_VLVFB((vlvf_index*2)+1));
 			} else {
 				bits = IXGBE_READ_REG(hw,
-				    IXGBE_VLVFB((vlvf_index * 2) + 1));
-				bits &= ~(1 << (vind - 32));
+						IXGBE_VLVFB((vlvf_index*2)+1));
+				bits &= ~(1 << (vind-32));
 				IXGBE_WRITE_REG(hw,
-				    IXGBE_VLVFB((vlvf_index * 2) + 1),
-				    bits);
+						IXGBE_VLVFB((vlvf_index*2)+1),
+						bits);
 				bits |= IXGBE_READ_REG(hw,
-				    IXGBE_VLVFB(vlvf_index * 2));
+						IXGBE_VLVFB(vlvf_index*2));
 			}
 		}
 
@@ -3005,34 +3194,31 @@
 		 */
 		if (bits) {
 			IXGBE_WRITE_REG(hw, IXGBE_VLVF(vlvf_index),
-			    (IXGBE_VLVF_VIEN | vlan));
+					(IXGBE_VLVF_VIEN | vlan));
 			if (!vlan_on) {
-				/*
-				 * someone wants to clear the vfta entry
+				/* someone wants to clear the vfta entry
 				 * but some pools/VFs are still using it.
-				 * Ignore it.
-				 */
-				vfta_changed = false;
+				 * Ignore it. */
+				vfta_changed = FALSE;
 			}
-		} else {
-			IXGBE_WRITE_REG(hw, IXGBE_VLVF(vlvf_index), 0);
 		}
+		else
+			IXGBE_WRITE_REG(hw, IXGBE_VLVF(vlvf_index), 0);
 	}
 
 	if (vfta_changed)
 		IXGBE_WRITE_REG(hw, IXGBE_VFTA(regindex), vfta);
 
-	return (IXGBE_SUCCESS);
+	return IXGBE_SUCCESS;
 }
 
-/*
- * ixgbe_clear_vfta_generic - Clear VLAN filter table
- * @hw: pointer to hardware structure
+/**
+ *  ixgbe_clear_vfta_generic - Clear VLAN filter table
+ *  @hw: pointer to hardware structure
  *
- * Clears the VLAN filer table, and the VMDq index associated with the filter
- */
-s32
-ixgbe_clear_vfta_generic(struct ixgbe_hw *hw)
+ *  Clears the VLAN filer table, and the VMDq index associated with the filter
+ **/
+s32 ixgbe_clear_vfta_generic(struct ixgbe_hw *hw)
 {
 	u32 offset;
 
@@ -3047,21 +3233,20 @@
 		IXGBE_WRITE_REG(hw, IXGBE_VLVFB((offset*2)+1), 0);
 	}
 
-	return (IXGBE_SUCCESS);
+	return IXGBE_SUCCESS;
 }
 
-/*
- * ixgbe_check_mac_link_generic - Determine link and speed status
- * @hw: pointer to hardware structure
- * @speed: pointer to link speed
- * @link_up: true when link is up
- * @link_up_wait_to_complete: bool used to wait for link up or not
+/**
+ *  ixgbe_check_mac_link_generic - Determine link and speed status
+ *  @hw: pointer to hardware structure
+ *  @speed: pointer to link speed
+ *  @link_up: TRUE when link is up
+ *  @link_up_wait_to_complete: bool used to wait for link up or not
  *
- * Reads the links register to determine if link is up and the current speed
- */
-s32
-ixgbe_check_mac_link_generic(struct ixgbe_hw *hw, ixgbe_link_speed *speed,
-    bool *link_up, bool link_up_wait_to_complete)
+ *  Reads the links register to determine if link is up and the current speed
+ **/
+s32 ixgbe_check_mac_link_generic(struct ixgbe_hw *hw, ixgbe_link_speed *speed,
+                                 bool *link_up, bool link_up_wait_to_complete)
 {
 	u32 links_reg, links_orig;
 	u32 i;
@@ -3075,16 +3260,16 @@
 
 	if (links_orig != links_reg) {
 		DEBUGOUT2("LINKS changed from %08X to %08X\n",
-		    links_orig, links_reg);
+		          links_orig, links_reg);
 	}
 
 	if (link_up_wait_to_complete) {
 		for (i = 0; i < IXGBE_LINK_UP_TIME; i++) {
 			if (links_reg & IXGBE_LINKS_UP) {
-				*link_up = true;
+				*link_up = TRUE;
 				break;
 			} else {
-				*link_up = false;
+				*link_up = FALSE;
 			}
 			msec_delay(100);
 			links_reg = IXGBE_READ_REG(hw, IXGBE_LINKS);
@@ -3091,9 +3276,9 @@
 		}
 	} else {
 		if (links_reg & IXGBE_LINKS_UP)
-			*link_up = true;
+			*link_up = TRUE;
 		else
-			*link_up = false;
+			*link_up = FALSE;
 	}
 
 	if ((links_reg & IXGBE_LINKS_SPEED_82599) ==
